package com.mortals.xhx.module.demo.detail.web;


import com.mortals.framework.web.BaseCRUDFormLong;
import com.mortals.xhx.module.demo.detail.model.DemoDetailEntity;
import com.mortals.xhx.module.demo.detail.model.DemoDetailQuery;

/**
* DemoDetail
*
* 测试详细 Form
*
* @author zxfei
* @date 2021-10-22
*/
public class DemoDetailForm extends BaseCRUDFormLong<DemoDetailEntity> {
    private DemoDetailEntity entity = new DemoDetailEntity();
    private DemoDetailQuery query = new DemoDetailQuery();
    public DemoDetailForm(){
    }

    @Override
    public DemoDetailEntity getEntity() {
        return entity;
    }

    public void setDemoDetail(DemoDetailEntity entity) {
        this.entity = entity;
    }

    @Override
    public DemoDetailQuery getQuery() {
        return query;
    }

    public void setQuery(DemoDetailQuery query) {
        this.query = query;
    }
}